page-selectedtask {


	.scroll-content {
	    padding: 0px 0px 0px 0px !important;
	    background-color: rgba(0,0,0,0.5);
	}

	.hide-page {
		opacity: 0;
	}

	.show-page {
		opacity: 1;
	}

	.close-modal-btn-container {
		
		margin-top: 10px;
		margin-bottom: -23px;

		.close-modal-btn {
			
			margin: 0;
			padding: 0px 0px 10px 17px;
			background: transparent;
			font-size: 30px;

			.close-modal-icon {
				font-weight: 900;
				color: #fff;
			}

			.close-modal-close-title {
				color: #fff;
				font-size: 20px;
				font-weight: 900;
				padding-left: 5px; 
			}
		}
	}

	.task-content-outer-container {

		background: #000;
		border-radius: 6.4px;
		margin-right: 5px;
		margin-left: 5px;
		color: #fff;
		box-shadow: 2px 2px 11px #aaaaaa;
		margin-bottom: 10px;

		.task-title-section-container {


			.task-title {
				font-size: 20px;
				font-weight: bold;
				padding-left: 15px;
				padding-top: 10px;
			}

			.task-section {

				font-size: 16px;
				padding-left: 15px;
				padding-bottom: 0px;
				margin-top: -5px;
				font-weight: bold;

				.task-section-title {
					color: rgba(255,255,255,0.8)!important;
					font-weight: normal;
				}
			}

			.task-more-options {
				float: right;
				color: #fff;
				font-size: 32px;
				margin-top: -78px;
				margin-right: 15px;
				font-weight: bold;
			}
		}

		.task-other-content-container {

			background-color: rgb(226,228,230);
			padding-bottom: 1px;
			border-radius: 7px;
			border-bottom: 0.55px solid #c8c7cc;

			.task-description-container {
				
				background-color: #fff;
				box-shadow: 0px 1px 1px #aaaaaa;
				margin-bottom: -3px;
			}

			.task-due-assigned-container {

				background-color: #fff;
				margin-bottom: 6px;
				border-bottom: 0.55px solid #c8c7cc;

				.task-due-assigned-left-content {
					font-size: 25px;
					padding-left: 6px;
					float: left;

					.task-icon-container {

						color: #666666;

						.task-time-icon {
							padding-top: 9px;
						}

						.task-people-icon {
							padding-top: 9px;
						}

						.task-priority-icon {
							padding-top: 12px;
						}
					}
				}

				.task-due-assigned-right-content {
					

					.task-due-assigned-inner-container {

						margin-left: 38px;
						font-size: 16px;
						margin-bottom: -15px;

						.task-due-date-container {

							padding-bottom: 5px;
							border-bottom: 0.55px solid #c8c7cc;

							.due-label {
								float: left;
								padding-top: 15px;
								padding-left: 6px;
								color: #000;
							}

							.task-due-date-label-null {
								padding-top: 15px;
								padding-left: 6px;
								color: rgb(146,148,140);
								padding-bottom: 6px;
							}

							.task-due-date-label-not-null {
								padding-top: 15px;
								padding-left: 6px;
								color: #000;
								margin-right: 72px;
								padding-bottom: 5px;
							}

							.clear-due-btn {
								float: right;
								margin-top: -28.5px;
								margin-right: 12px;
								color: #FF0000;
								font-weight: bold;
								font-size: 16px;
								border: 1px solid #FF0000;
								border-radius: 5px;
								padding-left: 8px;
								padding-right: 8px;
								padding-top: 1px;
								padding-bottom: 1px;
							}

							.due-date-label-null {
								padding-left: 6px;
								color: rgb(146,148,140);
								padding-top: 15px;
								margin-bottom: 5px;
							}

							.due-date-label-not-null {
								padding-left: 6px;
								color: #000;
								padding-top: 15px;
								margin-bottom: 5px;
							}

						}

						.task-assigned-member-container {


							.task-assigned-member-label {
								margin-top: 10px;
								margin-bottom: 5px;
								padding-left: 6px;
								color: rgb(146,148,140);
								padding-bottom: 10px;
							}
						}

						.task-priority-container {

							border-top: 0.55px solid #c8c7cc;
							margin-left: 2px;
							margin-bottom: 10px;

							.task-priority-label {
								color: rgb(146,148,140);
								padding-left: 6px;
								padding-bottom: 10px;
								margin-top: 10px;
							}

							.task-priority-tag {
					
								height: 25px;
								width: 25px;
								border-radius: 8px;
								margin-bottom: -30px;
								margin-top: 10px;
								box-shadow: 1px 1px 6px #888888;
								margin-left: 5px;
							}
							
							.task-priority {
								color: #222;
								font-weight: bold;
								padding-left: 6px;
								padding-bottom: 15px;
								margin-top: 8px;
								padding-left: 40px;
							}

						}
					}
				}
			}

			.task-subtask-outer-container {

				padding-top: 2px;
				padding-bottom: 6px;

				.task-subtask-container {

					background-color: #fff;
					box-shadow: 1px 1px 6px #aaaaaa;

					.task-subtask-header-container {

						color: #666666;
						font-size: 25px;
						border-bottom: 0.55px solid #c8c7cc;
						border-top: 0.55px solid #c8c7cc;
						box-shadow: 1px 0px 6px #aaaaaa;

						.task-subtask-icon {
							float: left;
							padding-left: 6px;
							padding-top: 5px;
						}

						.task-subtask-header {

							font-size: 16px;
							margin-left: 38px;
							margin-top: 10px;
							color: #000;
							font-weight: bold;
						}

						.task-subtask-arrow-down-container {

							text-align: right;
							margin-right: 5px;
							margin-top: -36px;
						}
					}

					.task-subtask-content-container {

						.task-subtask-content-list {

							margin: 0;
							padding: 0;
							border-left: 0.2px solid rgb(206,208,200);
							border-right: 0.2px solid rgb(206,208,200);

							.task-subtask-content-item-sliding {

								.task-subtask-item {

									margin: 0;
									padding: 0;

									.task-subtask-name {

										padding-left: 12px;
										color: #000;
										font-size: 15.5px;

									}
								}

								.task-subtask-item-options {

								}
							}
						}
						

						.task-subtask {

							padding-left: 12px;
							color: #000;
							font-size: 15px;
							border-bottom: 0.55px solid #c8c7cc;

							.task-subtask-name {

							}

							.task-subtask-add-subtask-input {
								padding-bottom: 3px;
								width: 86%;
							}

							.task-subtask-done-checkbox {
								float: right;
								margin-right: 12px;
							}

							.add-subtask-add-btn {
								font-size: 46px;
								font-weight: bold;
								float: right;
								color: #32db64;
								margin-right: 15px;
								margin-top: -46px;
							}

						}

						.task-subtask:last-child {
							border-bottom: 0px solid rgb(206,208,200);
						}
					}
				}
			}

		}

		.task-polling-outer-container {

			margin-top: -12.5px;
			

			.task-polling-container {

				background-color: #fff;
				box-shadow: 2px 2px 6px #aaaaaa;
				border-radius: 0 0 0px 0px;

				.task-polling-header-container {

					color: #666666;
					font-size: 25px;

					.task-polling-icon {
						float: left;
						padding-left: 7px;
						padding-top: 5px;
					}

					.task-polling-header {
						color: #000;
						font-size: 16px;
						font-weight: bold;
						padding-top: 13px;
						padding-bottom: 10px;
						padding-left: 38px;
					}

					.task-polling-add-icon {
						float: right;
						margin-top: -50px;
						margin-right: 14px;
						font-weight: bold;
					}
				}

				.task-polling-content-container {

					.task-polling-create-poll-container {

						ion-list {

							border-radius: 0 0 8px 8px;

							ion-item {
								padding-left: 0px;
								background-color: transparent;

								ion-label {
									padding-left: 16px;
								}
							}

							.task-poll-due-date-outer-container {

								font-size: 16px;
								border-bottom: 0.55px solid #c8c7cc;
								padding-top: 2px;
								padding-bottom: 47px;

								.task-poll-due-date-container {
									
									color: #000;

									p {
										float: left;
										margin-left: 16px;
										margin-top: 10px;
									}

									.task-poll-due-date-selected {
										margin-left: 30px;
									}

									.task-poll-due-date-no-selection {
										color: #92948c;
										margin-left: 40px;
									}

								}

								ion-icon {
									float: right;
									margin-top: 2px;
									margin-right: 11px;
									font-size: 33px;
								}
							}
						}
					}

					.task-polling-voting-poll-container {

						.single-vote-list {

							border-radius: 0 0 8px 8px;

							ion-item {
								background-color: transparent;

								.vote-btn {

									font-size: 16px;
									font-weight: bold;
									padding-left: 15px;
									padding-right: 15px;
									padding-top: 15px;
									padding-bottom: 15px;
									margin-top: 3px;
									margin-bottom: 3px;

									.vote-btn-icon {
										font-size: 30px;
										font-weight: bold;
										padding-left: 3px;
									}
								}
							}
						}

					}
				}
			}
		}
	}

	.poll-create-btn-icon-container {

		background-color: #efefef !important;
		border-radius: 0 0 0px 0px;

		.poll-create-btn {

			margin: 0;
			font-size: 16px;
			font-weight: bold;
			padding-top: 16px;
			padding-bottom: 16px;
			padding-left: 15px;
			padding-right: 15px;
			background-color: #fff;
			box-shadow: 2px 2px 6px #aaaaaa;

			.poll-create-icon {

				font-size: 35px;
				font-weight: bold;
			}
		}
	}

	.poll-options-input-container {
		border-bottom: 0.55px solid #c8c7cc;
	}

	.poll-options-input-container:last-child {
		border-bottom: 0px solid rgb(206,208,200);
	}

	.poll-options-input {
		padding-left: 30px;
		max-width: 80% !important;
		color: #000;
		font-size: 16px;
	}

	.add-option-btn-icon {
		float: right;
		color: rgb(106,108,100);
		margin-top: -37px;
		font-size: 30px;
		margin-right: 10px;
		font-weight: bold;
	}

	.poll-options-input-item-not-last {

		.remove-option-btn-icon {
			float: right;
			margin-top: -35px;
			font-size: 30px;
			margin-right: 10px;
			font-weight: bold;
		}

	}

	.poll-options-input-item-last {

		.remove-option-btn-icon {
			float: right;
			margin-top: -35px;
			font-size: 30px;
			margin-right: 42px;
			font-weight: bold;
		}

	}

	.poll-result-header {
		border-bottom: 0px solid #c8c7cc;
	}

	.poll-option-item {
		padding-left: 0px;

		ion-label {
			padding-left: 16px;
		}
	}

	.poll-options-item {
		padding: 0;
		color: #000;
		font-size: 17px;
		border-top: 0.55px solid #c8c7cc;

		.poll-options-title {
			padding-left: 16px;
			margin-top: 8px;
		}

		.poll-progress-bar-eligible {
			
			.progress-outer {
				width: 80%;
				margin-left: 10px;
				margin-top: -12px;
			}
		}

		.poll-progress-bar-not-eligible {
			
			.progress-outer {
				width: 93.5%;
				margin-left: 10px;
				margin-top: -12px;
			}
		}

		.poll-not-voted-icon {
			float: right;
			font-size: 40px;
			margin-top: -64px;
			margin-right: 15px;
		}

		.poll-voted-icon {
			float: right;
			font-size: 40px;
			margin-top: -64px;
			margin-right: 15px;
		}
	}

	.poll-options-item:last-child {
		padding-bottom: 1px;
	}

	.poll-option-header {
		font-weight: bold;
	}

	.no-priviledges {
		background-color: #FEF7E1FF
	}

	.no-subtask-found {
		margin-top: 0px;
		padding-top: 12px;
		padding-bottom: 12px;
		color: rgb(146,148,140);
		text-align: center;
		font-weight: bold;
	}

	.required-field {
		color: #FF0000;
		font-weight: bold;
		font-size: 20px;
	}

	.polling-type-item {
	}

	.multiple-choice-options-list {

		margin: 0px;
		border-bottom: 0.55px solid #c8c7cc;
		border-radius: 0px !important;

		.multiple-choice-options-header {
			padding-left: 30px;
			border-bottom: 0px solid;
		}

		.multiple-choice-options-item {
			
			font-size: 15px;
			border-bottom: 0px solid !important;

			.multiple-choice-options-label-1 {
				margin-left: 25px;
				margin-bottom: 18px;
			}
			
			.multiple-choice-options-input {
				border: 0.55px solid #888888;
				margin: 0;
				margin-bottom: 10px;
				max-width: 50px;
				text-align: center;
				padding: 0;
				margin-left: -10px;
				margin-right: -18px;

				input.text-input.text-input-ios {
				    margin-left: 11px;
				    text-align: center;
				}
			}

			.multiple-choice-options-label-2 {
				margin-bottom: 18px;
			}

		}
	}

	.task-polling-poll-is-not-exist-container {
		background-color: #FEF7E1FF;
		border-radius: 0px 0px 8px 8px;

		.task-polling-poll-is-not-exist-item {

			background-color: transparent;
			text-align: center;
			border-radius: 0px 0px 8px 8px;
			border-top: 0.55px solid #c8c7cc;

			.task-polling-poll-is-not-exist-title {
				font-weight: bold;
				font-size: 15px;
				padding-top: 10px;
				padding-bottom: 10px;
			}
		}
	}

	.task-activity-log-outer-container {

		box-shadow: 2px 2px 6px #aaaaaa;
		margin-bottom: -34px;
		border-radius: 0 0 8px 8px;

		.task-activity-log-container {

			.task-activity-log-list {

				.list-header-md {
					margin-bottom: 0 !important;
				}

				.task-activity-log-header {
				
					background-color: #fff;
					border-top: 0.55px solid #c8c7cc;
					font-family: -apple-system, "Helvetica Neue", "Roboto", sans-serif !important;
					font-weight: bold;
					text-transform: none;
					font-size: 16px;
					padding-left: 6px;
					border-bottom: 0.55px solid #c8c7cc;

					.task-activity-log-header-label {
						letter-spacing: 0px;
					}

					.task-activity-log-header-icon {

						font-size: 28px;
						color: #666666;
						margin-right: 8px;
					}

					.task-activity-log-options-icon {
						padding-right: 2px;
						color: #666666;
					}
				}

				.task-activity-log-no-activity-outer-container {
					
					background-color: #FFFBEAFF;
					border-radius: 0 0 8px 8px;
					box-shadow: 2px 2px 6px #aaaaaa;
					margin-top: -16px;

					.task-activity-log-no-activity-container {

						text-align: center;

						.task-activity-log-no-activity-label {
							padding-top: 15px;
							color: #bbbbbb;
							padding-bottom: 15px;
							font-weight: bold;
							font-size: 16px;
						}
					}
				}

				.task-activity-log-item {

					background-color: transparent;

					.task-activity-log-icon {
						color: #888888;
						margin-top: -15px;
					}

					.task-activity-log-label {

						white-space: normal;
						color: #222;
						font-size: 15px;
						padding-top: 2px;

						.task-activity-log-label-admin {
							color: #ff0000;
							border: 1.2px #ff0000 solid;
							font-weight: bold;
							border-radius: 4px;
							padding-left: 4px;
							padding-right: 4px;
							box-shadow: 1px 1px 3px #aaaaaa;
							font-size: 13px;
							margin-right: 2px;
						}

						.task-activity-log-label-handler {
							font-weight: bold;
							font-size: 15.5px;
						}
					}

					.task-activity-log-date {
						color: #888888;
						font-size: 13.5px;
						text-align: right;
					}

					.item-inner {

						.input-wrapper {

							display: block;
						}

					}

				}

				.task-activity-log-item-container {
					background-color: #FFFBEAFF;
				}

				.task-activity-log-item-container:last-child {
					border-radius: 0 0 8px 8px;
				}
			}

		}
	}

	.red {
		background-color: #FF0000;
	}

	.orange {
		background-color: #FFA500;
	}

	.green {
		background-color: #41A62A;
	}

	.grey {
		background-color: #72777C;
	}

	.polling-target-item {
		border-top: 0px solid #c8c7cc;
	}

	.polling-due-date {
		margin-top: 15px;
		padding-bottom: 3px;
	}

	button#undefined {
	    left: 50px;
	    top: 150px;
	    width: 64%;
	    height: 3%;
	}

	button#datetime-9-0 {
	    width: 325px;
	}

}
